# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           xmlunit
Summary:        Provides classes to do asserts on xml
Epoch:          0
Version:        2.7.0
Release:        %mkrel 1
Group:          Development/Java
# xmlunit2 is licensed under ASL 2.0, xmlunit-legacy is still BSD-licensed
License:        ASL 2.0 and BSD

URL:            https://www.xmlunit.org/
Source0:        https://github.com/xmlunit/xmlunit/releases/download/v%{version}/%{name}-%{version}-src.tar.gz

Patch0:         0001-Disable-tests-requiring-network-access.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.istack:istack-commons-runtime)
BuildRequires:  mvn(com.sun.xml.bind:jaxb-impl)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(javax.xml.bind:jaxb-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.bytebuddy:byte-buddy)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)
BuildRequires:  mvn(org.hamcrest:hamcrest-library)
BuildRequires:  mvn(org.mockito:mockito-core)

%description
XMLUnit provides you with the tools to verify the XML you emit is the one you
want to create. It provides helpers to validate against an XML Schema, assert
the values of XPath queries or compare XML documents against expected outcomes.


%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}


%package        assertj
Summary:        Assertj for %{name}

%description    assertj
This package provides %{summary}.


%package        core
Summary:        Core package for %{name}

%description    core
This package provides %{summary}.


%package        legacy
Summary:        Legacy package for %{name}

%description    legacy
This package provides %{summary}.


%package        matchers
Summary:        Matchers for %{name}

%description    matchers
This package provides %{summary}.


%package        placeholders
Summary:        Placeholders for %{name}

%description    placeholders
This package provides %{summary}.


%prep
%setup -q -n %{name}-%{version}-src

%patch0 -p1

%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_remove_plugin :maven-assembly-plugin

# Add deps to EE APIs removed in Java 11
%pom_change_dep javax.activation:activation jakarta.activation:jakarta.activation-api . xmlunit-core
%pom_change_dep com.sun.xml.bind:jaxb-core com.sun.xml.bind:jaxb-impl . xmlunit-core
%pom_add_dep com.sun.istack:istack-commons-runtime::test xmlunit-core

%mvn_alias "org.xmlunit:xmlunit-legacy" "xmlunit:xmlunit"


%build
%mvn_build -s -f

%install
%mvn_install


%files -f .mfiles-xmlunit-parent
%doc README.md CONTRIBUTING.md RELEASE_NOTES.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%files assertj -f .mfiles-xmlunit-assertj
%files core -f .mfiles-xmlunit-core
%files legacy -f .mfiles-xmlunit-legacy
%files matchers -f .mfiles-xmlunit-matchers
%files placeholders -f .mfiles-xmlunit-placeholders



%changelog
* Thu Sep 10 2020 daviddavid <daviddavid> 0:2.7.0-1.mga8
+ Revision: 1624224
- Update to version 2.7.0
- Allow building against JDK 11
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 0:2.6.3-2.mga8
+ Revision: 1536138
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 0:2.6.3-1.mga8
+ Revision: 1453319
- Update to version 2.6.3

* Fri Sep 21 2018 umeabot <umeabot> 0:1.6-6.mga7
+ Revision: 1292172
- Mageia 7 Mass Rebuild

* Sat Sep 02 2017 daviddavid <daviddavid> 0:1.6-5.mga7
+ Revision: 1150842
- Install with XMvn (sync with fc27)
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0:1.6-3.mga6
+ Revision: 978241
- First rebuild of the java stack

* Fri Feb 19 2016 umeabot <umeabot> 0:1.6-2.mga6
+ Revision: 968911
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 tv <tv> 0:1.6-1.mga6
+ Revision: 857459
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0:1.5-4.mga5
+ Revision: 745006
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.5-3.mga5
+ Revision: 690718
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 spuhler <spuhler> 0:1.5-2.mga5
+ Revision: 673372
- spec file synced with Fedora

* Sun Sep 07 2014 spuhler <spuhler> 0:1.5-1.mga5
+ Revision: 673030
- upgrade to version 1.5

* Mon Jan 06 2014 dmorgan <dmorgan> 0:1.3-7.mga4
+ Revision: 565231
- Rebuild with fixed rpms macros

* Tue Dec 10 2013 joequant <joequant> 0:1.3-6.mga4
+ Revision: 556098
- fix pom location
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 0:1.3-4.mga4
+ Revision: 460907
- remove ant-trax dep

* Mon Jan 14 2013 umeabot <umeabot> 0:1.3-3.mga3
+ Revision: 387218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 0:1.3-2.mga3
+ Revision: 263301
- Sync with fedora spec file
- Fix docbook use
+ gil <gil>
- BR docbook-dtds
- update to 1.3
  added docbook5-style-xsl support
  removed unsused gcj macro

* Tue Jan 25 2011 dmorgan <dmorgan> 0:1.2-2.0.2.mga1
+ Revision: 39628
- imported package xmlunit


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:1.2-2.0.2mdv2010.0
+ Revision: 435155
- rebuild

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.2-2.0.1mdv2009.0
+ Revision: 269800
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 13 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2-0.0.1mdv2009.0
+ Revision: 218670
- new version 1.2 and disable gcj compile

* Tue Feb 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1-0.0.1mdv2008.1
+ Revision: 175331
- new version, spec cleanup, use pom from the tar

* Mon Jan 07 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.0-5.0.1mdv2008.1
+ Revision: 146299
- add ant-trax BR
- fix Group
- import xmlunit


